# All files / node-request-retry/strategies HTTPError.js

100% Statements 2/2
100% Branches 3/3
100% Functions 1/1
100% Lines 2/2

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11

    1x
    64x

     'use strict';

    /**
     * @param  {Null | Object} err
     * @param  {Object} response
     * @return {Boolean} true if the request had a recoverable HTTP error
     */
    module.exports = function HTTPError(err, response) {
      return response && 500 <= response.statusCode && response.statusCode < 600;
    };